<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%@page contentType="text/html; charset=UTF-8" %>
<%	
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<% 
	String persona = (String) session.getAttribute("persona");
	String origen = request.getParameter("Origen")==null?"":request.getParameter("Origen");	
%>

<HTML>
<head>
		<title><%= resTit.getString("titRelReparaciones")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="JavaScript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMenuClic.js"></script>
</head>
<%if(origen==null || origen.equals("")){%>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<%} else {%>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';" onunload="document.body.style.cursor='wait';">
<%}%>
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_REPARACIONES%>";
			detActual = '<%=resCM.getString("cmRelReparaciones")%>';
			rutaCabecera = "";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
		<%if(origen==null || origen.equals("")){%>
			<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
		<%}%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<%if(origen==null || origen.equals("")){%>
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
			<%}%>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			 <FORM NAME="FormRelReparacion" METHOD="POST">
					<%
						int contador = 0;
						boolean busquedaDirecto = false;
						String sql = "", sql2 = "";
						String directo = "";
						String codigo="", cod="", descripcion = "", desc="", observacion="";
						String sOrigen="", objOrigen="";
						m05bFileLog miLog = new m05bFileLog();
                        java.sql.Connection conn=null;
                        PreparedStatement pstmt = null;
                        ResultSet rs = null;						
						session.removeAttribute("Reparacion");
						directo = request.getParameter("Directo")==null?"":request.getParameter("Directo");
						if(directo != null && !directo.equals("") && directo.equals("si")){
							codigo = request.getParameter("Codigo")==null?"":request.getParameter("Codigo");
							cod=codigo;
						}else{
							codigo = request.getParameter("Codigo")==null?"":request.getParameter("Codigo");
							cod=codigo;
							descripcion = request.getParameter("Descripcion")==null?"":request.getParameter("Descripcion").toUpperCase();
							desc=descripcion;
						}	
						sOrigen = request.getParameter("Origen")==null?"":request.getParameter("Origen");
						if (sOrigen.equals("")) {
							objOrigen = "document.FormRelReparacion";
						} else {
							objOrigen = "opener.document." + sOrigen;
						}
						miLog.addTraza(persona,"Rel. Reparacion","ORIGEN: " + sOrigen, m05bConstantes.LOG_NIVEL_BAJO);						
						%>
						<TABLE class="general">
						    <tr>
								<% if (sOrigen.equals("")) {%>						    
							       <td width="80%" align="right"> 
							       		<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir('<%=codigo%>','<%=descripcion%>'); return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
							       </td>
							       <td width="10%"align="right"> 
							       		<input type="button" class="boton" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" />
							       	</td>
								   <td width="10%"align="right"> 
								   		<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
								   </td>					       
								<% } else { %>	
							       <td width="100%" align="right"> 
							       		<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:window.close();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
							       </td>
								<% } %>									
							</tr>
						 </TABLE>
					 <p>
					 <TABLE class="general">
					    <tr >
					       <td class="searchTitle" width="8%"><%= res.getString("etCodigo")%></td>
					       <td class="searchTitle" width="60%"><%= res.getString("etDescripcion")%></td>
					       <td class="searchTitle" width="30%"><%= res.getString("etObservacion")%></td>
					    </tr>
				<%
					try{
					
						if(directo != null && !directo.equals("") && directo.equals("si")){
							sql = "select COD_REP_25, NVL("+campoTexto+"OBSERV_25,OBSERV_25), NLV("+campoTexto+"DESCRIP_25,DESCRIP_25) from M0525T00";
					 		sql2 = sql2 + " where COD_REP_25 = '" + codigo + "'";
							sql = sql + sql2 + " order by 1";
							miLog.addTraza(persona,"Rel. Reparacion","SQL: " + sql, m05bConstantes.LOG_NIVEL_BAJO);

							
							//m05bbBeginSelect(sql);
							//m05bRS = m05bPStmt.executeQuery();
		                    m05bConexion miConex = new m05bConexion();
                            conn = miConex.getConnection();
                            conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		                    pstmt = conn.prepareStatement(sql);
		                    rs = pstmt.executeQuery();							
							contador=0;
							//m05bDescrip descrip = new m05bDescrip();
							if (rs.next() == true){
								codigo= rs.getString("COD_REP_25");
								observacion = rs.getString(2);
				        	    if (observacion==null)
					                observacion="";
								// Coger descripcin de marca
								//marca = descrip.getDescripcion(m05bConstantes.DESC_MARCAS,marca);
								descripcion= rs.getString(3);
						            if (descripcion==null)
						               descripcion="";
						        ++contador;
						        if(contador == 0){
							    	//Significa que no ha encontrado un codigo que coincida con el que el usuario ha introducido
							    	busquedaDirecto = false;
							    }else{
							    	busquedaDirecto = true;
							    } 
						    %>    
						        <tr>
							        <td class="inputFieldTitle" width="8%"><FONT size="2"><A href="JavaScript:fncModificar(<%=objOrigen%>,'<%=sOrigen%>','<%=codigo%>', '<%=descripcion%>')"><%=codigo%></A></FONT></td>
							        <td class="inputFieldTitle" width="60%"><FONT size="2"><%=descripcion%></FONT></td>
						   	        <td class="inputFieldTitle" width="30%"><FONT size="2"><%=observacion%></FONT></td>
						   	        <input type="hidden" name="directo" value="<%=directo %>">
							 	</tr>
						        
						    <% } %>
<%						    
						}else{
						
							sql = "select COD_REP_25,  NVL("+campoTexto+"OBSERV_25,OBSERV_25),  NVL("+campoTexto+"DESCRIP_25,DESCRIP_25) from M0525T00";
							if ((observacion.equals("")) || (observacion == null)){
								sql2 = sql2;
							}else{
								observacion = "%" + observacion + "%";
								sql2 = sql2 + " where "+campoTexto+"OBSERV_25 like " + observacion;
							}
							if ((codigo.equals("")) || (codigo == null)){
								sql2 = sql2;
							}else{
								if (sql2.equals("")){
							 		sql2 = sql2 + " where COD_REP_25 like '" + codigo + "%'";
							 	}else{
							 		sql2 = sql2 + " and COD_REP_25 like '" + codigo + "%'";
							 	}	
							}
							if ((descripcion.equals("")) || (descripcion == null)){
								sql2 = sql2;
							}else{
								if (sql2.equals("")){
							 		sql2 = sql2 + " where "+campoTexto+"DESCRIP_25 like '%" + descripcion + "%'";
							 	}else{
							 		sql2 = sql2 + " and "+campoTexto+"DESCRIP_25 like '%" + descripcion + "%'";
							 	}	
							}
							sql = sql + sql2 + " order by 1";
							miLog.addTraza(persona,"Rel. Reparacion","SQL: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
						
						
						//m05bbBeginSelect(sql);
		                    m05bConexion miConex = new m05bConexion();
                            conn = miConex.getConnection();
                            conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		                    pstmt = conn.prepareStatement(sql);
		                    rs = pstmt.executeQuery();									
						contador=0;
						//m05bDescrip descrip = new m05bDescrip();
						while (rs.next() == true){
							codigo= rs.getString("COD_REP_25");
							observacion = rs.getString(2);
				            if (observacion==null){
				                observacion="";
				            } 
							// Coger descripcin de marca
							//marca = descrip.getDescripcion(m05bConstantes.DESC_MARCAS,marca);
							descripcion= rs.getString(3);
					            if (descripcion==null){
					               descripcion="";
					            }   
					        ++contador;
					    
					    
					        
						%>
							<tr>
						        <td class="inputFieldTitle" width="8%"><FONT size="2"><A href="JavaScript:fncModificar(<%=objOrigen%>,'<%=sOrigen%>','<%=codigo%>', '<%=descripcion%>')"><%=codigo%></A></FONT></td>
						        <td class="inputFieldTitle" width="60%"><FONT size="2"><%=descripcion%></FONT></td>
					   	        <td class="inputFieldTitle" width="30%"><FONT size="2"><%=observacion%></FONT></td>
						 	</tr>
						 	
						<%} 
						
						}%> 	
							<tr></tr>
						    <tr align="center">
								    <td class="inputField" colspan="3"><%= res.getString("etTotal")%> <%=contador%></td>
						    </tr>
						</TABLE>
						
						<input type="hidden" name="esDirecto" value="<%=busquedaDirecto %>" >
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3">
			<%if(origen==null || origen.equals("")){%>
				<%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	
			<%}%>
			</td>
	</tr>
</table>
<SCRIPT language='javascript'>
<%if(origen==null || origen.equals("")){%>
    setTimeout('initSlide();', 1);
<%}%>
    
	if(FormRelReparacion.esDirecto.value == "true"){
	  fncModificar(<%=objOrigen%>,'<%=sOrigen%>','<%=codigo%>', '<%=descripcion%>');
	}
	function fncNuevo() {
       		FormRelReparacion.action="m05bReparacionJsp.jsp?Codigo=&Mensaje=false";
       		FormRelReparacion.submit();
	}
	function fncBuscar() {
            FormRelReparacion.action="m05bBusqReparacionJsp.jsp?Codigo=<%=cod%>&Descripcion=<%=desc%>";
            FormRelReparacion.submit();
    }	
	function fncModificar(objOrigen, sOrigen, codigo, descripcion) {
		var docu = document.FormRelReparacion;
		if (sOrigen == "formOrdRepa") {
            objOrigen.CODIGO.value=codigo;
            objOrigen.Descripcion.value=descripcion;
            window.close();
        } else {
            docu.action="m05bGenerarReparacionServlet?Codigo=" + codigo + "&Mensaje=false";
            docu.submit();
        }
    }
    function fncImprimir(codigo,descripcion) {
		var docu = document.FormRelReparacion;
        docu.action="m05bReparacionPDFJsp.jsp?Codigo="+codigo+"&Descripcion="+descripcion;
        docu.submit();
    }    
</script>

<%
} catch (Exception SQLException) {
	miLog.addTraza(SQLException);
} finally {
	//m05bEndSelect();
		if (rs != null)
		    rs.close();
		if (pstmt != null)
		    pstmt.close();
		if (conn != null)
		    conn.close();

	
}%>
</BODY>
</HTML>